Independent License System
Independent License System
- Base URL
-
https://api.example.com - Authentication
x-api-key: YOUR_API_KEY
Endpoints
- Authentication Every /api/keys request must include your API key in the x-api-key HTTP header. The key is sent as a request header, not in the request b…
-
GET
Get All License Keys
v1.0
/api/keysReturns an array of all license keys in the database. -
GET
Get Single License Key
v1.0
/api/keys/{key}Returns an object with the requested key information. -
GET
Get Single License Key Logs
v1.0
/api/keys/{key}/logsReturns all license logs in an array. -
POST
Check License Key Authorisation
v1.0
/api/checkThe API returns a JSON response indicating whether the license is valid. -
POST
Create License Key
v1.0
/api/keysCreates a license key with the desired information. New keys are created with `locked: true -
PUT
Update License Key
v1.0
/api/keys/{key}Updates an existing license key details. Content defaults to existing data if not provided in the body. Returns updated key object. -
DELETE
Delete License Key
v1.0
/api/keys/{key}Deletes the desired license key and its logs. Returns the last license object before deletion. -
PUT
Regenerate License
v1.0
/api/keys/{key}/regenGenerates a new license key for the license and moves its logs to the new key. The old key stops working immediately. No request body is…